package org.jeecg.modules.projectManagement.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 描述
 *
 * @author:陈创
 * @date:2019/5/24 19:57
 */
public class FdProjectQuotationTemplateItemTree implements Serializable {
    private static final long serialVersionUID = 1L;

    private String key;

    private String value;

    private String title;
    /** 是否叶子节点*/
    private boolean isLeaf;

    private List<FdProjectQuotationTemplateItemTree> children = new ArrayList<>();

    private java.lang.String id;
    /**项目报价单id*/
    private java.lang.String quotationId;
    /**项目报价单模板id*/
    private java.lang.String projectQuotationTemplateId;
    /**项目报价单模板对照id*/
    private java.lang.String projectQuotationTemplateItemId;
    /**费用1*/
    private java.lang.String feeCategory1;
    /**费用2*/
    private java.lang.String feeCategory2;
    /**备注*/
    private java.lang.String memo;
    /**删除标记0正常1删除*/
    private java.lang.String delFlag;
    /**创建人*/
    private java.lang.String createBy;
    /**创建时间*/
    private java.util.Date createTime;

    private List<FdProjectQuotationTemplateItemAppend> templateItemAppendList;

    //项目详情
    private String text;

    //报价单模板对照名称
    private String templateItemName;

    /**利润中心--合同处添加*/
    private java.lang.String profitCenter;

    /**负责人--合同处添加*/
    private java.lang.String master;
    //父机id
    private String parentId;

    //名称
    private String name;

    private String description;

    private String deliverables;

    private String timeline;

    private String unitPrice;

    private String detailField;

    private String cId;
    private String code;

    private String postprandialUnitPrice;
    //原始费用1
    private String originalFeeCategory1;

    //原始费用2
    private String originalFeeCategory2;

    //部门id
    private String departId;
    //部门名称
    private String departName;

    //合同中显示的费用1
    private String feeCategory1Contract;

    //合同中显示的费用1
    private String feeCategory2Contract;


    public FdProjectQuotationTemplateItemTree(){}
    public FdProjectQuotationTemplateItemTree(FdProjectQuotationTemplateItem fdProjectQuotationTemplateItem){
        this.key = fdProjectQuotationTemplateItem.getId();
        this.value = fdProjectQuotationTemplateItem.getId();
        this.title = fdProjectQuotationTemplateItem.getName();
        this.id=fdProjectQuotationTemplateItem.getId();
        this.quotationId=fdProjectQuotationTemplateItem.getQuotationId();
        this.projectQuotationTemplateId=fdProjectQuotationTemplateItem.getProjectQuotationTemplateId();
        this.projectQuotationTemplateItemId=fdProjectQuotationTemplateItem.getProjectQuotationTemplateItemId();
        this.feeCategory1=fdProjectQuotationTemplateItem.getFeeCategory1();
        this.feeCategory2=fdProjectQuotationTemplateItem.getFeeCategory2();
        this.text=fdProjectQuotationTemplateItem.getText();
        this.memo=fdProjectQuotationTemplateItem.getMemo();
        this.name=fdProjectQuotationTemplateItem.getName();
        this.delFlag=fdProjectQuotationTemplateItem.getDelFlag();
        this.profitCenter=fdProjectQuotationTemplateItem.getProfitCenter();
        this.master=fdProjectQuotationTemplateItem.getMaster();
        this.parentId=fdProjectQuotationTemplateItem.getParentId();
        this.description=fdProjectQuotationTemplateItem.getText();
        this.deliverables=fdProjectQuotationTemplateItem.getDeliverables();
        this.timeline=fdProjectQuotationTemplateItem.getTimeline();
            this.cId=fdProjectQuotationTemplateItem.getId();
        this.unitPrice=fdProjectQuotationTemplateItem.getUnitPrice();
        this.detailField=fdProjectQuotationTemplateItem.getDetailField();
        this.code=fdProjectQuotationTemplateItem.getCode();
        this.postprandialUnitPrice=fdProjectQuotationTemplateItem.getPostprandialUnitPrice();
        this.departId=fdProjectQuotationTemplateItem.getDepartId();
        this.departName=fdProjectQuotationTemplateItem.getDepartName();
        this.originalFeeCategory1=fdProjectQuotationTemplateItem.getOriginalFeeCategory1();
        this.originalFeeCategory2=fdProjectQuotationTemplateItem.getOriginalFeeCategory2();
        this.feeCategory1Contract=fdProjectQuotationTemplateItem.getFeeCategory1Contract();
        this.feeCategory2Contract=fdProjectQuotationTemplateItem.getFeeCategory2Contract();
    }

    public String getFeeCategory1Contract() {
        return feeCategory1Contract;
    }

    public void setFeeCategory1Contract(String feeCategory1Contract) {
        this.feeCategory1Contract = feeCategory1Contract;
    }

    public String getFeeCategory2Contract() {
        return feeCategory2Contract;
    }

    public void setFeeCategory2Contract(String feeCategory2Contract) {
        this.feeCategory2Contract = feeCategory2Contract;
    }

    public String getPostprandialUnitPrice() {
        return postprandialUnitPrice;
    }

    public void setPostprandialUnitPrice(String postprandialUnitPrice) {
        this.postprandialUnitPrice = postprandialUnitPrice;
    }

    public String getOriginalFeeCategory1() {
        return originalFeeCategory1;
    }

    public void setOriginalFeeCategory1(String originalFeeCategory1) {
        this.originalFeeCategory1 = originalFeeCategory1;
    }

    public String getOriginalFeeCategory2() {
        return originalFeeCategory2;
    }

    public void setOriginalFeeCategory2(String originalFeeCategory2) {
        this.originalFeeCategory2 = originalFeeCategory2;
    }

    public String getDepartId() {
        return departId;
    }

    public void setDepartId(String departId) {
        this.departId = departId;
    }

    public String getDepartName() {
        return departName;
    }

    public void setDepartName(String departName) {
        this.departName = departName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getDetailField() {
        return detailField;
    }

    public void setDetailField(String detailField) {
        this.detailField = detailField;
    }

    public String getcId() {
        return cId;
    }

    public void setcId(String cId) {
        this.cId = cId;
    }

    public String getDeliverables() {
        return deliverables;
    }

    public void setDeliverables(String deliverables) {
        this.deliverables = deliverables;
    }

    public String getTimeline() {
        return timeline;
    }

    public void setTimeline(String timeline) {
        this.timeline = timeline;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public List<FdProjectQuotationTemplateItemTree> getChildren() {
        return children;
    }

    public void setChildren(List<FdProjectQuotationTemplateItemTree> children) {
        this.children = children;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getQuotationId() {
        return quotationId;
    }

    public void setQuotationId(String quotationId) {
        this.quotationId = quotationId;
    }

    public String getProjectQuotationTemplateId() {
        return projectQuotationTemplateId;
    }

    public void setProjectQuotationTemplateId(String projectQuotationTemplateId) {
        this.projectQuotationTemplateId = projectQuotationTemplateId;
    }

    public String getProjectQuotationTemplateItemId() {
        return projectQuotationTemplateItemId;
    }

    public void setProjectQuotationTemplateItemId(String projectQuotationTemplateItemId) {
        this.projectQuotationTemplateItemId = projectQuotationTemplateItemId;
    }

    public String getFeeCategory1() {
        return feeCategory1;
    }

    public void setFeeCategory1(String feeCategory1) {
        this.feeCategory1 = feeCategory1;
    }

    public String getFeeCategory2() {
        return feeCategory2;
    }

    public void setFeeCategory2(String feeCategory2) {
        this.feeCategory2 = feeCategory2;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<FdProjectQuotationTemplateItemAppend> getTemplateItemAppendList() {
        return templateItemAppendList;
    }

    public void setTemplateItemAppendList(List<FdProjectQuotationTemplateItemAppend> templateItemAppendList) {
        this.templateItemAppendList = templateItemAppendList;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getTemplateItemName() {
        return templateItemName;
    }

    public void setTemplateItemName(String templateItemName) {
        this.templateItemName = templateItemName;
    }

    public String getProfitCenter() {
        return profitCenter;
    }

    public void setProfitCenter(String profitCenter) {
        this.profitCenter = profitCenter;
    }

    public String getMaster() {
        return master;
    }

    public void setMaster(String master) {
        this.master = master;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
